apiVersion: "operator.nevis-security.ch/v1"
kind: "NevisDatabase"
metadata:
  name: "idm"
  namespace: "adn-agov-nevisidm-01-uat"
  labels:
    deploymentTarget: "idm"
    trustImport: "idm-technical-trust-store-1058498828"
  annotations:
    projectKey: "DEFAULT-ADN-AGOV-PROJECT"
    patternId: "2951ead44a7a9362a4545094"
spec:
  type: "NevisIDM"
  databaseType: "MariaDB"
  version: "8.2411.1"
  url: "mariadb-agov-uat.mariadb.database.azure.com"
  port: 3306
  ssl: true
  database: "nevisidm_uat"
  bootstrap: true
  migrate: true
  rootCredentials:
    name: "root-adn-agov-nevisidm-admin-01-uat-idm"
    namespace: "adn-agov-nevisidm-admin-01-uat"
  podSecurity:
    policy: "baseline"
    automountServiceAccountToken: false
  timeZone: "Europe/Zurich"
